/**
 * 
 */
package gov.va.med.mhv.admin.registry;

/**
 * @author PII
 *
 */
public class PlaceOfBirth extends ModelObject {
    
    private String city = null;
    private String state = null;
    
    /**
     * @return Returns the city.
     */
    public String getCity() {
        return city;
    }

    /**
     * @param city The city to set.
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * @return Returns the state.
     */
    public String getState() {
        return state;
    }

    /**
     * @param state The state to set.
     */
    public void setState(String state) {
        this.state = state;
    }

    @Override
    public int hashCode() {
        Object[] fields = { city, state };
        return hashCode(fields);
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PlaceOfBirth other = (PlaceOfBirth) obj;
        return areEqual(city, other.city)
            && areEqual(state, other.state);
    }
}
