package gov.va.med.mhv.ssoi;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.liferay.portal.kernel.events.Action;
import com.liferay.portal.kernel.events.ActionException;
import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

public class AdminPostLoginAction extends Action {

	private static final Log LOG = LogFactoryUtil.getLog(AdminPostLoginAction.class);

	/*
	 * LifeRay invokes this method after successfully logging in a user.
	 */

	@Override
	public void run(HttpServletRequest request, HttpServletResponse response) throws ActionException {

		try {
			System.out.println("Inside run in AdminPostLoginAction *******************: " + request.getRequestURI());
			String loginhomeUrl = "/loginhome";
			String homeUrl = "/home";
			if (null != request.getRequestURI() && request.getRequestURI().contains(loginhomeUrl)) {
				try {
					response.sendRedirect(homeUrl);
				} catch (IOException e1) {
					LOG.error("Error in the post login action redirect", e1);
				}
			}

		} catch (Exception e) {
			LOG.error("Error in the post login action", e);
		}
	}
}