package gov.va.med.mhv.ssoi;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class ApplicationContextProvider {
	private static ApplicationContext ctx = null;

	public static ApplicationContext getApplicationContext() {
		if (ctx == null) {
			synchronized (ApplicationContextProvider.class) {
				ctx = new ClassPathXmlApplicationContext("classpath:applicationContext.xml");
			}
		}
		return ctx;
	}
}
